Bug 44176 - [PATCH] Custom Fonts in Java2DRenderer
Summary: [PATCH] Custom Fonts in Java2DRenderer
Status: CLOSED FIXED
Alias: None
Product: Fop - Now in Jira
Classification: Unclassified
Component: awt renderer (show other bugs)
Version: trunk
Hardware: All All
: P2 enhancement
Target Milestone: ---
Assignee: fop-dev
URL: http://mail-archives.apache.org/mod_m...
Keywords: PatchAvailable
Depends on:
Blocks:
 
Reported: 2008-01-07 07:00 UTC by Jeremias Maerki
Modified: 2012-04-01 07:08 UTC (History)
0 users



Attachments
Custom font support for Java2DRenderer (27.85 KB, patch)
2008-01-07 07:01 UTC, Jeremias Maerki
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremias Maerki 2008-01-07 07:00:13 UTC
Patrick Jaromin <patrick.at.jgsullivan.dot.com> posted a patch for custom font
support in Java2DRenderer:
http://mail-archives.apache.org/mod_mbox/xmlgraphics-fop-dev/200712.mbox/%3cAAD1044DDFFCC84895A899314A72FB6C01C06F4D@be04.exg3.exghost.com%3e

I'll attach it here for completeness.
Comment 1 Jeremias Maerki 2008-01-07 07:01:22 UTC
Created attachment 21353 [details]
Custom font support for Java2DRenderer
Comment 2 Jeremias Maerki 2008-01-07 07:09:39 UTC
ICLA was recorded on 2007-12-22. Patch applied with modifications as described
on the mailing list:
http://svn.apache.org/viewvc?rev=609627&view=rev

Thanks a lot, Patrick! That's a useful feature.
Comment 3 Glenn Adams 2012-04-01 07:08:24 UTC
batch transition pre-FOP1.0 resolved+fixed bugs to closed+fixed